## helma.objectmodel.db
Class Replicator

    java.lang.Object
      helma.objectmodel.db.Replicator

All Implemented Interfaces:
  NodeChangeListener, java.lang.Runnable

    public class Replicator

extends java.lang.Object
implements java.lang.Runnable, NodeChangeListener

This class replicates the updates of transactions to other applications via RMI

Constructor Summary
`Replicator(NodeManager nmgr)` Creates a new Replicator object.

Method Summary
`void` `addUrl(java.lang.String url)`
`void` `nodesChanged(java.util.List inserted, java.util.List updated, java.util.List deleted, java.util.List parents)` Called when a transaction is committed that has created, modified, deleted or changed the child collection one or more nodes.
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Replicator

    public Replicator(NodeManager nmgr)

  Creates a new Replicator object.

  Parameters:
    `nmgr` - ...

Method Detail

### addUrl

    public void addUrl(java.lang.String url)

  Parameters:
    `url` - ...

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### nodesChanged

    public void nodesChanged(java.util.List inserted,
                             java.util.List updated,
                             java.util.List deleted,
                             java.util.List parents)

  Called when a transaction is committed that has created, modified, deleted or changed the child collection one or more nodes.

  Specified by:
    `nodesChanged` in interface `NodeChangeListener`

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.